program test;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  sqldb, pqconnection;

var
  db: TPQConnection;
  t: TSQLTransaction;
  q: TSQLQuery;
begin
  db := TPQConnection.Create(nil);
  t := TSQLTransaction.Create(db);
  q := TSQLQuery.Create(db);
  try
    db.HostName := '127.0.0.1';
    db.DatabaseName := 'postgres';
    db.UserName := 'postgres';
    db.Password := 'postgres';
    t.DataBase := db;
    q.DataBase := db;
    q.Transaction := t;
    q.SQL.Text := 'select * from test';
    q.Open;
    q.Locate('myfield', 'abc', []);
    WriteLn(q.FieldByName('myfield').AsString);
  finally
    db.Free;
  end;
end.

